# Performance Schema status\_by\_thread Table

{% hint style="info" %}
The `session_status` table is available from MariaDB 10.5.2.
{% endhint %}

The `status_by_thread` table contains status variable information about active foreground threads. The table does not collect statistics for `Com_xxx` variables.

The table contains the following columns:

| Column          | Description                                                                   |
| --------------- | ----------------------------------------------------------------------------- |
| THREAD\_ID      | The thread identifier of the session in which the status variable is defined. |
| VARIABLE\_NAME  | Status variable name.                                                         |
| VARIABLE\_VALUE | Aggregated status variable value.                                             |

If [TRUNCATE TABLE](/docs/server/reference/sql-statements/table-statements/truncate-table.md) is run, will aggregate the status for all threads to the global status and account status, then reset the thread status. If account statistics are not collected but host and user status are, the session status is added to host and user status.

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/performance-schema/performance-schema-tables/performance-schema-status_by_thread-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
